Subject: Re: bug#45931: [PATCH] gnu: Add python-build.
From: Maxim Cournoyer <[email-masked]>
To: Tanguy LE CARROUR <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Jan 2021 13:53:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Tanguy LE CARROUR <[email-masked]> writes:

> Hi Maxim,
>
>
> Excerpts from Maxim Cournoyer's message of January 25, 2021 3:27 pm:
>> Hello Tanguy,
>> 
>> Tanguy Le Carrour <[email-masked]> writes:
>> 
>>> * gnu/packages/python-xyz.scm (python-build): New variable.
>>> * gnu/packages/patches/python-build-disable-failing-tests.patch: Add patch.
>>> * gnu/local.mk: Add above patch.
>>> ---
>>>  gnu/local.mk                                  |  1 +
>>>  .../python-build-disable-failing-tests.patch  | 25 +++++++++++
>>>  gnu/packages/python-xyz.scm                   | 42 +++++++++++++++++++
>>>  3 files changed, 68 insertions(+)
>>>  create mode 100644 gnu/packages/patches/python-build-disable-failing-tests.patch
>>> […]
>> This package was added to the core-updates branch on Jan 15 by myself; I
>> needed it to bump python-isort to a newer version after moving to Python
>> 3.9.1.
>> 
>> I've named it 'python-pypa-build' and put it under a new module, (gnu
>> packages python-build).  This module is special in that it's probably
>> going to get pulled by (guix build python-build-system) at some point,
>> so should be considered a 'build' module and not pull external modules
>> if possible.
>
> Great! Thanks!
>
>
>> If you need it on master we could try cherry picking a few commits from
>> core-updates, I think.
>
> No, thanks, I'm perfectly happy without it! :-)
> I'll wait for it to make it to master.

Alright, I'll close this merge request, then.

Thank you,

Maxim